Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 156943 - Rename app-xemacs/ocaml to app-xemacs/ocaml-mode ?
Summary: Rename app-xemacs/ocaml to app-xemacs/ocaml-mode ?
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Lowest enhancement (vote)
Assignee: XEmacs team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-02 13:21 UTC by Ingo Bormuth
Modified: 2014-07-28 22:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Bormuth 2006-12-02 13:21:37 UTC
I suggest to rename app-xemacs/ocaml to app-xemacs/ocaml-mode. This is consistent with most modes for other languages. It just doesn't feel right to have a name clash on an language package. Thanks.
Comment 1 Hans de Graaff gentoo-dev 2006-12-03 01:56:14 UTC
My policy is to follow XEmacs package naming as closely as possible, so I won't rename the package unless this is also done upstream. I've raised renaming it on the xemacs-beta mailing list.
Comment 2 Hans de Graaff gentoo-dev 2006-12-09 06:08:30 UTC
Feedback from the XEmacs team (by way of Stephen Turnbull) is that renaming a package is unfortunately not possible with the XEmacs package manager, so they will keep the ocaml name.
Comment 3 Ingo Bormuth 2006-12-09 07:11:18 UTC
I absolutely understand the advantage of adopting upstream package names.
Nevertheless it's essential to keep the distribution's namespace as consistent 
and conflict-free as possible.
In this particular case I think the original name is a bug which, due to 
technical reasons, cannot be fixed upstream but could easily be fixed here.
Comment 4 Hans de Graaff gentoo-dev 2006-12-10 02:52:59 UTC
I'll reconsider it after getting the remainder of xemacs in order. I've reopened the bug so that I won't forget.
Comment 5 Ingo Bormuth 2006-12-10 06:07:29 UTC
Thanks ;)
Comment 6 K. Posern 2006-12-16 00:27:10 UTC
Hi.

I wanted to say, that I also would be glad *not* to have this nameclash whenever I want to update ocaml :-)

I strongly agree to the arguments of the creator of this bug.
Maybe this comment can help to change something.

Greetings,

tormen
Comment 7 Ulrich Müller gentoo-dev 2008-03-30 08:22:42 UTC
Since there is also app-emacs/ocaml-mode, we would still have a "name clash" after renaming the app-xemacs package. ;-)
Comment 8 Mats Lidell gentoo-dev 2014-07-28 22:42:19 UTC
Renaming the package will not remove a name clash. It will just create a new one. Considering the time this bug has been open, keeping things as they are will cause the least surprise.